summaryrefslogtreecommitdiff
path: root/Master/xemtex/gslib/pdf2ps
diff options
context:
space:
mode:
Diffstat (limited to 'Master/xemtex/gslib/pdf2ps')
-rw-r--r--Master/xemtex/gslib/pdf2ps29
1 files changed, 29 insertions, 0 deletions
diff --git a/Master/xemtex/gslib/pdf2ps b/Master/xemtex/gslib/pdf2ps
new file mode 100644
index 00000000000..b684739be95
--- /dev/null
+++ b/Master/xemtex/gslib/pdf2ps
@@ -0,0 +1,29 @@
+#!/bin/sh
+# $Id: pdf2ps,v 1.4 2001/06/22 16:09:22 lpd Exp $
+# Convert PDF to PostScript.
+
+OPTIONS=""
+while true
+do
+ case "$1" in
+ -?*) OPTIONS="$OPTIONS $1" ;;
+ *) break ;;
+ esac
+ shift
+done
+
+if [ $# -eq 2 ]
+then
+ outfile=$2
+elif [ $# -eq 1 ]
+then
+ outfile=`basename "$1" \.pdf`.ps
+else
+ echo "Usage: `basename $0` [-dASCII85EncodePages=false] [-dLanguageLevel=1|2|3] input.pdf [output.ps]" 1>&2
+ exit 1
+fi
+
+# Doing an initial 'save' helps keep fonts from being flushed between pages.
+# We have to include the options twice because -I only takes effect if it
+# appears before other options.
+exec gs $OPTIONS -q -dNOPAUSE -dBATCH -dSAFER -sDEVICE=pswrite "-sOutputFile=$outfile" $OPTIONS -c save pop -f "$1"